#pragma once

static const TCHAR SCRIPTLET_WINDOW_NODE[] = _T("window");
static const TCHAR SCRIPTLET_BUTTON_NODE[] = _T("button");
static const TCHAR SCRIPTLET_IMAGE_NODE[] = _T("image");
static const TCHAR SCRIPTLET_PANEL_NODE[] = _T("panel");
static const TCHAR SCRIPTLET_RECTANGLE_NODE[] = _T("rectangle");
static const TCHAR SCRIPTLET_SEPARATOR_NODE[] = _T("separator");
static const TCHAR SCRIPTLET_SIMPLETEXT_NODE[] = _T("simpletext");
static const TCHAR SCRIPTLET_WIN32_NODE[] = _T("win32");
static const TCHAR SCRIPTLET_BORDERSHAPE_NODE[] = _T("bordershape");
static const TCHAR SCRIPTLET_SLIDER_NODE[] = _T("slider");
static const TCHAR SCRIPTLET_RADIOGROUP_NODE[] = _T("radiogroup");
static const TCHAR SCRIPTLET_SCROLLVIEW_NODE[] = _T("scrollview");
static const TCHAR SCRIPTLET_8IMAGEFRAMEDRAW_NODE[] = _T("imageframe8");
static const TCHAR SCRIPTLET_WINDOWDRAGBAR_NODE[] = _T("windowdragbar");
static const TCHAR SCRIPTLET_IECTRL_NODE[] = _T("iectrl");
static const TCHAR SCRIPTLET_STACKPANEL_NODE[] = _T("stackpanel");
static const TCHAR SCRIPTLET_RICHTEXT_NODE[] = _T("richtext");
static const TCHAR SCRIPTLET_TILEIMAGE_NODE[] = _T("tileimage");
static const TCHAR SCRIPTLET_PARTITIONIMAGE_NODE[] = _T("partitionimage");
static const TCHAR SCRIPTLET_PARTITIONTILEIMAGE_NODE[] = _T("partitiontileimage");
static const TCHAR SCRIPTLET_LISTBOX_NODE[] = _T("listbox");
static const TCHAR SCRIPTLET_XMLTEXT_NODE[] = _T("xmltext");
static const TCHAR SCRIPTLET_STATETEXT_NODE[] = _T("statetext");
static const TCHAR SCRIPTLET_SIMPLEEDIT_NODE[] = _T("simpleedit");
static const TCHAR SCRIPTLET_CONTROL_NODE[] = _T("control");

static const TCHAR SCRIPTLET_ID_NODE[] = _T("id");
static const TCHAR SCRIPTLET_X_NODE[] = _T("x");
static const TCHAR SCRIPTLET_Y_NODE[] = _T("y");
static const TCHAR SCRIPTLET_WIDTH_NODE[] = _T("w");
static const TCHAR SCRIPTLET_HEIGHT_NODE[] = _T("h");
static const TCHAR SCRIPTLET_ENABLED_NODE[] = _T("enabled");
static const TCHAR SCRIPTLET_VISIBLE_NODE[] = _T("visible");
static const TCHAR SCRIPTLET_WSTYLE_NODE[] = _T("wstyle");
static const TCHAR SCRIPTLET_WEXSTYLE_NODE[] = _T("wexstyle");
static const TCHAR SCRIPTLET_CAPTION_NODE[] = _T("caption");
static const TCHAR SCRIPTLET_TEXT_NODE[] = _T("text");
static const TCHAR SCRIPTLET_PUSHED_NODE[] = _T("pushed");
static const TCHAR SCRIPTLET_SOURCE_NODE[] = _T("src");
static const TCHAR SCRIPTLET_PART_NODE[] = _T("part");
static const TCHAR SCRIPTLET_BACKGROUND_NODE[] = _T("background");
static const TCHAR SCRIPTLET_LEFTTOPCOLOR_NODE[] = _T("lefttopcolor");
static const TCHAR SCRIPTLET_RIGHTBOTTOMCOLOR_NODE[] = _T("rightbottomcolor");
static const TCHAR SCRIPTLET_ALIGN_NODE[] = _T("align");
static const TCHAR SCRIPTLET_FONT_NODE[] = _T("font");
static const TCHAR SCRIPTLET_FONTNAME_NODE[] = _T("fontname");
static const TCHAR SCRIPTLET_FONTSIZE_NODE[] = _T("fontsize");
static const TCHAR SCRIPTLET_BOLD_NODE[] = _T("bold");
static const TCHAR SCRIPTLET_ITALIC_NODE[] = _T("italic");
static const TCHAR SCRIPTLET_UNDERLINE_NODE[] = _T("underline");
static const TCHAR SCRIPTLET_FOREGROUND_NODE[] = _T("foreground");
static const TCHAR SCRIPTLET_HALIGN_NODE[] = _T("halign");
static const TCHAR SCRIPTLET_VALIGN_NODE[] = _T("valign");
static const TCHAR SCRIPTLET_BORDER_NODE[] = _T("border");
static const TCHAR SCRIPTLET_THICKNESS_NODE[] = _T("thickness");
static const TCHAR SCRIPTLET_WCLASS_NODE[] = _T("wclass");
static const TCHAR SCRIPTLET_CTRLID_NODE[] = _T("ctrlid");
static const TCHAR SCRIPTLET_BORDERCOLOR_NODE[] = _T("bordercolor");
static const TCHAR SCRIPTLET_INCOLOR_NODE[] = _T("incolor");
static const TCHAR SCRIPTLET_DIR_NODE[] = _T("dir");
static const TCHAR SCRIPTLET_LEFTTOP_NODE[] = _T("lefttop");
static const TCHAR SCRIPTLET_RIGHTBOTTOM_NODE[] = _T("rightbottom");
static const TCHAR SCRIPTLET_CENTERTOP_NODE[] = _T("centertop");
static const TCHAR SCRIPTLET_RIGHTTOP_NODE[] = _T("righttop");
static const TCHAR SCRIPTLET_LEFTVCENTER_NODE[] = _T("leftvcenter");
static const TCHAR SCRIPTLET_RIGHTVCENTER_NODE[] = _T("rightvcenter");
static const TCHAR SCRIPTLET_LEFTBOTTOM_NODE[] = _T("leftbottom");
static const TCHAR SCRIPTLET_CENTERBOTTOM_NODE[] = _T("centerbottom");
static const TCHAR SCRIPTLET_CENTER_NODE[] = _T("center");
static const TCHAR SCRIPTLET_PAST_NODE[] = _T("past");
static const TCHAR SCRIPTLET_THUMB_NODE[] = _T("thumb");
static const TCHAR SCRIPTLET_MOVING_NODE[] = _T("moving");
static const TCHAR SCRIPTLET_RAIL_NODE[] = _T("rail");
static const TCHAR SCRIPTLET_MIN_NODE[] = _T("min");
static const TCHAR SCRIPTLET_MAX_NODE[] = _T("max");
static const TCHAR SCRIPTLET_POS_NODE[] = _T("pos");
static const TCHAR SCRIPTLET_VSCROLLBAR_NODE[] = _T("vscrollbar"); 
static const TCHAR SCRIPTLET_HSCROLLBAR_NODE[] = _T("hscrollbar"); 
static const TCHAR SCRIPTLET_BTN_LEFTTOP_NODE[] = _T("btn_lefttop"); 
static const TCHAR SCRIPTLET_BTN_RIGHTBOTTOM_NODE[] = _T("btn_rightbottom"); 
static const TCHAR SCRIPTLET_BG_NORMAL_NODE[] = _T("bg_normal"); 
static const TCHAR SCRIPTLET_BG_SEL_NODE[] = _T("bg_sel"); 
static const TCHAR SCRIPTLET_THUMB_1_NODE[] = _T("thumb_1"); 
static const TCHAR SCRIPTLET_THUMB_2_NODE[] = _T("thumb_2"); 
static const TCHAR SCRIPTLET_THUMB_3_NODE[] = _T("thumb_3"); 
static const TCHAR SCRIPTLET_THUMB_4_NODE[] = _T("thumb_4"); 
static const TCHAR SCRIPTLET_THUMB_5_NODE[] = _T("thumb_5"); 
static const TCHAR SCRIPTLET_WHEELHOP_NODE[] = _T("wheelhop"); 
static const TCHAR SCRIPTLET_CLASS_NODE[] = _T("class");
static const TCHAR SCRIPTLET_INHERIT_NODE[] = _T("inherit");
static const TCHAR SCRIPTLET_LAYOUT_NODE[] = _T("layout");
static const TCHAR SCRIPTLET_DIRECTION_NODE[] = _T("direction");
static const TCHAR SCRIPTLET_LINEHOP_NODE[] = _T("linehop"); 
static const TCHAR SCRIPTLET_HTML_NODE[] = _T("html"); 
static const TCHAR SCRIPTLET_CUSTOM_NODE[] = _T("custom");
static const TCHAR SCRIPTLET_MARGIN_NODE[] = _T("margin");
static const TCHAR SCRIPTLET_PADDING_NODE[] = _T("padding");
static const TCHAR SCRIPTLET_ITEMTEMPLATE_NODE[] = _T("itemtemplate");
static const TCHAR SCRIPTLET_CONTROLTEMPLATE_NODE[] = _T("controltemplate");
static const TCHAR SCRIPTLET_EVENTROUTE_NODE[] = _T("eventroute");
static const TCHAR SCRIPTLET_TEXT_HALIGN_NODE[] = _T("text.halign");
static const TCHAR SCRIPTLET_TEXT_VALIGN_NODE[] = _T("text.valign");
static const TCHAR SCRIPTLET_HIGHLIGHT_NODE[] = _T("highlight");
static const TCHAR SCRIPTLET_OVERCOLOR_NODE[] = _T("overcolor");
static const TCHAR SCRIPTLET_PRESSCOLOR_NODE[] = _T("presscolor");
static const TCHAR SCRIPTLET_DISABLECOLOR_NODE[] = _T("disablecolor");
static const TCHAR SCRIPTLET_REGION_ROUND_NODE[] = _T("region.round");
static const TCHAR SCRIPTLET_REDEFINE_NODE[] = _T("redefine");
static const TCHAR SCRIPTLET_DATACONTEXT_NODE[] = _T("datacontext");
static const TCHAR SCRIPTLET_ADDITEM_NODE[] = _T("additem");
static const TCHAR SCRIPTLET_REMOVEITEM_NODE[] = _T("removeitem");
static const TCHAR SCRIPTLET_CENTERWINDOW_NODE[] = _T("centerwindow");
static const TCHAR SCRIPTLET_BACKGROUND_MARGIN_NODE[] = _T("background.margin");
static const TCHAR SCRIPTLET_MULTILINE_NODE[] = _T("multiline");
static const TCHAR SCRIPTLET_DEFAULT_SELECT_NODE[] = _T("default_select");
static const TCHAR SCRIPTLET_SELECTVISIBLE_NODE[] = _T("selectvisible");

static const TCHAR SCRIPTLET_ONPROPERTY_NODE[] = _T("onproperty");
static const TCHAR SCRIPTLET_ONACTION_NODE[] = _T("onaction");
static const TCHAR SCRIPTLET_ONSLIDER_NODE[] = _T("onslider");
static const TCHAR SCRIPTLET_ONCLOSE_NODE[] = _T("onclose");
static const TCHAR SCRIPTLET_ONMINIMIZE_NODE[] = _T("onminimize");
static const TCHAR SCRIPTLET_ONMAXIMIZE_NODE[] = _T("onmaximize");
static const TCHAR SCRIPTLET_ONSELECT_NODE[] = _T("onselect");
static const TCHAR SCRIPTLET_ONUNSELECT_NODE[] = _T("onunselect");

static const TCHAR SCRIPTLET_TRUE_VALUE[] = _T("true");
static const TCHAR SCRIPTLET_FALSE_VALUE[] = _T("false");
static const TCHAR SCRIPTLET_LEFT_VALUE[] = _T("left");
static const TCHAR SCRIPTLET_CENTER_VALUE[] = _T("center");
static const TCHAR SCRIPTLET_RIGHT_VALUE[] = _T("right");
static const TCHAR SCRIPTLET_STRETCH_VALUE[] = _T("stretch");
static const TCHAR SCRIPTLET_TOP_VALUE[] = _T("top");
static const TCHAR SCRIPTLET_BOTTOM_VALUE[] = _T("bottom");
static const TCHAR SCRIPTLET_HORZ_VALUE[] = _T("horz");
static const TCHAR SCRIPTLET_VERT_VALUE[] = _T("vert");
static const TCHAR SCRIPTLET_HORZONTAL_VALUE[] = _T("horzontal");
static const TCHAR SCRIPTLET_VERTICAL_VALUE[] = _T("vertical");

static const TCHAR SCRIPTLET_SEPARATOR[] = _T(" ");

static const int SCRIPTLET_MAX_VALUE = 256;
static const int SCRIPTLET_MAX_HUGE_VALUE = 256 * 10;